Package ru.bitel.bgbilling.modules.ipn.common.bean

# Class BGDecimalFormat

java.lang.Object
java.text.Format
java.text.NumberFormat
java.text.DecimalFormat
ru.bitel.bgbilling.modules.ipn.common.bean.BGDecimalFormat

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class BGDecimalFormat extends DecimalFormat

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.text.NumberFormat

  `NumberFormat.Field, NumberFormat.Style`

- ## Field Summary

  ### Fields inherited from class java.text.NumberFormat

  `FRACTION_FIELD, INTEGER_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGDecimalFormat(String format)`

- ## Method Summary

  ### Methods inherited from class java.text.DecimalFormat

  `applyLocalizedPattern, applyPattern, clone, equals, format, format, format, formatToCharacterIterator, getCurrency, getDecimalFormatSymbols, getGroupingSize, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getMultiplier, getNegativePrefix, getNegativeSuffix, getPositivePrefix, getPositiveSuffix, getRoundingMode, hashCode, isDecimalSeparatorAlwaysShown, isParseBigDecimal, parse, setCurrency, setDecimalFormatSymbols, setDecimalSeparatorAlwaysShown, setGroupingSize, setGroupingUsed, setMaximumFractionDigits, setMaximumIntegerDigits, setMinimumFractionDigits, setMinimumIntegerDigits, setMultiplier, setNegativePrefix, setNegativeSuffix, setParseBigDecimal, setPositivePrefix, setPositiveSuffix, setRoundingMode, toLocalizedPattern, toPattern`

  ### Methods inherited from class java.text.NumberFormat

  `format, format, getAvailableLocales, getCompactNumberInstance, getCompactNumberInstance, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getIntegerInstance, getIntegerInstance, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setParseIntegerOnly`

  ### Methods inherited from class java.text.Format

  `format, parseObject`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGDecimalFormat

    public BGDecimalFormat(String format)